Subject: Bug#4308: ssh and 256+ character pastes

From: Richard Kettlewell <[email-masked]>
Date: Tue, 27 Aug 96 10:03:49 +0100 (BST)

Package: ssh
Version: 1.2.13-2

I pasted a 256 character string from my Emacs into an xterm running
`ssh chiark' and it froze.  I did the same with a 257 character string
and it also froze, but didn't echo the 257th character.  255
characters did not freeze it.  Killing the session with ``RETURN ~ .''
worked.

See also my recent bug report against netstd.  It's possible that
these two bugs are related, though I find it entirely plausible that
they are separate errors.

muskogee:richard$ uname -a
Linux muskogee 2.0.13 #1 Tue Aug 20 18:45:22 BST 1996 i486
muskogee:richard$ su -c "ldd /usr/bin/ssh"
Password:
        libz.so.1 => /usr/lib/libz.so.1.0.3
        libc.so.5 => /lib/libc.so.5.2.18
muskogee:richard$ dpkg -l libc5
Desired=Unknown/Install/Remove/Purge
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  libc5           5.2.18-9       The Linux C library version 5 (run-time libr
muskogee:richard$ dpkg -l zlib1
Desired=Unknown/Install/Remove/Purge
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  zlib1           1.03-1         compression library - runtime
muskogee:richard$ 

At the server end (which has the same version of the ssh package):

chiark:richard$ uname -a
Linux chiark 2.0.0 #4 Sun Jul 14 00:57:42 BST 1996 i486
chiark:richard$ ldd /usr/sbin/sshd
        libz.so.1 => /usr/lib/libz.so.1.0.2
        libc.so.5 => /lib/libc.so.5.2.18
chiark:richard$ dpkg -l libc5
Desired=Unknown/Install/Remove/Purge
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  libc5           5.2.18-9       The Linux C library version 5 (run-time libr
chiark:richard$ dpkg -l zlib1
Desired=Unknown/Install/Remove/Purge
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  zlib1           1.02-3         compression library - runtime
chiark:richard$ 

-- 
Richard Kettlewell  [email-masked]  [email-masked]
                           http://www.elmail.co.uk/staff/richard/